Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416927 - [3.4] ansible sometimes gets UNREACHABLE error after iptables restarted
Summary: [3.4] ansible sometimes gets UNREACHABLE error after iptables restarted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.4.1
Hardware: x86_64
OS: Linux
medium
urgent
Target Milestone: ---
: 3.4.z
Assignee: Scott Dodson
QA Contact: Wenkai Shi
URL:
Whiteboard:
Depends On: 1379189
Blocks: qci-ocp 1416926
TreeView+ depends on / blocked
 
Reported: 2017-01-26 19:44 UTC by Scott Dodson
Modified: 2017-03-06 16:37 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
When executing the installer on a remote host that's also included in the inventory the firewall configuration could potentially cause the installer to hang. We have added a 10 second delay after resetting the firewall which should avoid this problem from occurring.
Clone Of: 1379189
Environment:
Last Closed: 2017-03-06 16:37:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0448 0 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-03-06 21:36:25 UTC

Comment 2 Wenkai Shi 2017-02-06 08:37:31 UTC
Verified with version atomic-openshift-utils-3.4.59-1.git.0.d813eb7, the code has effect, installation succeed.

[root@ansible ~]# ansible-playbook -i hosts -v /usr/share/ansible/openshift-ansible/playbooks/byo/config
...
TASK [os_firewall : Wait 10 seconds after disabling firewalld] *****************
Monday 06 February 2017  07:15:54 +0000 (0:00:01.452)       0:29:57.164 ******* 
Pausing for 10 seconds
(ctrl+C then 'C' = continue early, ctrl+C then 'A' = abort)
...

Comment 4 errata-xmlrpc 2017-03-06 16:37:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0448


Note You need to log in before you can comment on or make changes to this bug.